cURL
curl --request POST "https://rxresu.me/api/openapi/applications/ai/search-postings" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"query": "<string>"
}'import requests
url = "https://rxresu.me/api/openapi/applications/ai/search-postings"
payload = {
"query": "<string>",
"aiProviderId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', aiProviderId: '<string>'})
};
fetch('https://rxresu.me/api/openapi/applications/ai/search-postings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/applications/ai/search-postings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'aiProviderId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/applications/ai/search-postings"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"aiProviderId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/applications/ai/search-postings")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"aiProviderId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/applications/ai/search-postings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"aiProviderId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body[
{
"url": "<string>",
"title": "<string>",
"description": ""
}
]{
"defined": true,
"code": "RATE_LIMIT_EXCEEDED",
"status": 429,
"message": "Too many web requests. Try again later.",
"data": "<unknown>"
}{
"defined": true,
"code": "SEARCH_AUTH",
"status": 502,
"message": "The web service rejected its key. Fix web access or paste a posting.",
"data": "<unknown>"
}{
"defined": true,
"code": "SEARCH_UNAVAILABLE",
"status": 503,
"message": "Job search isn't configured on this server.",
"data": "<unknown>"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Applications
Search job postings
deprecated
Searches through the server’s SearXNG when it has one, otherwise the selected Firecrawl, Tavily or Exa connection. Returns up to five public links to review and import. Requires authentication.
POST
/
applications
/
ai
/
search-postings
cURL
curl --request POST "https://rxresu.me/api/openapi/applications/ai/search-postings" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"query": "<string>"
}'import requests
url = "https://rxresu.me/api/openapi/applications/ai/search-postings"
payload = {
"query": "<string>",
"aiProviderId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', aiProviderId: '<string>'})
};
fetch('https://rxresu.me/api/openapi/applications/ai/search-postings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/applications/ai/search-postings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'aiProviderId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/applications/ai/search-postings"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"aiProviderId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/applications/ai/search-postings")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"aiProviderId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/applications/ai/search-postings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"aiProviderId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body[
{
"url": "<string>",
"title": "<string>",
"description": ""
}
]{
"defined": true,
"code": "RATE_LIMIT_EXCEEDED",
"status": 429,
"message": "Too many web requests. Try again later.",
"data": "<unknown>"
}{
"defined": true,
"code": "SEARCH_AUTH",
"status": 502,
"message": "The web service rejected its key. Fix web access or paste a posting.",
"data": "<unknown>"
}{
"defined": true,
"code": "SEARCH_UNAVAILABLE",
"status": 503,
"message": "Job search isn't configured on this server.",
"data": "<unknown>"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
Body
application/json